SPLITDNS323FW(1)

NAME
splitdns323fw - extract data from DNS-323 (and other) firmware images

SYNOPSIS
splitdns323fw [-k KERNEL] [-i INITRD] [-d DEFAULTS] firmwarefile

DESCRIPTION
splitdns323fw parses an existing firmware image for a device such as the D-Link DNS-323, DNS-321, and Conceptronics CH3SNAS.

By default, if only the firmwarefile option is given, the script verifies the checksums of the included components and prints a bunch of useful info about the image. If you specify one or more of the other options, however, the corresponding section of the firmware image will be written to that file.

-k kernel, --kernel=kernel

    Write the kernel part of the firmware image to the specified file.

-i initrd, --initrd=initrd

    Write the initrd part of the firmware image to the specified file.

-d defaults.tar.gz, --defaults=defaults.tar.gz

    Write the defaults part of the firmware image to the specified file.

BUGS

E-mail bug reports to theshed+dns323-firmware-tools@hezmatt.org. I don't guarantee to be able to help, but I'll give it a shot. Patches are far more helpful.

AUTHOR
splitdns323fw was written by Matt Palmer, based on reverse-engineering work done by Leschinsky Oleg.

COPYRIGHT
Copyright © 2008 Matt Palmer.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE, to the extent permitted by law.

SEE ALSO
mkimage(1), mkdns323fw(1).